.sustain-component {
  display: flex;
  min-height: 100vh;
  min-width: 100vw;
  height: auto;
  background: #4b2417;

  .sustain-sidebar {
    width: 40%;
    background: #4b2418;
    padding-left: 3em;
    //padding-top: 5em;
    padding-right: 3em;
    @include vert-center;
    flex-direction: column;

    &--dist {
      width: max-content;

      .logo {
        width: 10em;
        display: block;
      }

      button {
        font-weight: 700;
        font-size: smaller;
        margin-top: 0.5em;
        background: #f4c710;
        color: #685019;
        padding: 5px 18px;
      }
    }

    &--text {
      color: #fff;

      h1 {
        margin: 2em 0 .5em;
        font-weight: 700;
        font-size: 3em;
      }

      &-content {
        border-left: solid 5px #f4c710;
        max-height: 45vh;
        overflow: auto;

        p {
          &:first-child {
            margin-top: 0.5em;
          }

          margin-top: 2em;
          padding-left: 1em;
          font-weight: 600;
          font-size: 1em;
          line-height: 1.5rem;
        }

        scrollbar-color: #f4c710;
        scrollbar-width: thin;

        /* width */
        &::-webkit-scrollbar {
          width: 5px;
        }

        /* Track */
        &::-webkit-scrollbar-track {
          background: rgba(0, 0, 0, 0.3);
          border-radius: 10px;
        }

        /* Handle */
        &::-webkit-scrollbar-thumb {
          height: 20px;
          border-radius: 10px;
          background: #f4c710;
          opacity: 0;
        }

        /* Handle on hover */
        &::-webkit-scrollbar-thumb:hover {
          background: rgba(243, 243, 243, 0.6);
        }
      }

      button {
        font-weight: 700;
        font-size: smaller;
        margin-top: 2em;
        margin-left: 2em;
        background: #f4c710;
        color: #685019;
        padding: 5px 18px;
      }
    }
  }

  .sustain-content {
    width: 60%;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.4) 100%, transparent),
      url("../../assets/img/sustain-bkg\(blur\).jpg");
    background-size: cover;
    background-position: right;
    padding: 3em 6em 0 4em;
    color: #fff;
    @include vert-center;
    flex-direction: column;

    &-contain-carr {
      position: relative;

      &--items {
        display: flex;
        overflow: hidden;

        .item-action {
          &--l {
            margin-left: calc(-51%);
          }
        }

        .card-image {
          position: relative;
          transition: all ease-in 0.5s;
          text-align: center;
          flex: 1 0 49%;
          margin-right: 1em;

          &:last-child {
            margin-right: 0;
          }

          img {
            width: 100%;
          }

          p {
            width: 100%;
            padding-bottom: 0.5em;
            position: absolute;
            bottom: 0;
            text-transform: uppercase;
            font-weight: 600;
            font-size: larger;
            background: linear-gradient(to top, rgba(0, 0, 0, 0.9) 30%, rgba(0, 0, 0, 0) 100%);
          }
        }

        .card-badges {
          width: auto;
          height: auto;
          margin: 0;
          position: absolute;
          top: -1px;

          .card-badge {
            display: inline-block;
            //margin-right: 1em;

            img {
              width: 25px;
              height: 25px;
            }
          }
        }
      }

      .btn-next-img {
        width: min-content;
        max-height: 60px;
        position: absolute;
        right: -5em;
        top: calc(50% - 30px);
        z-index: 0;
        cursor: pointer;

        &-left {
          left: -5em;
          right: auto;
          transform: rotate(-180deg);
        }

        &-disabled {
          filter: contrast(0.5);
        }
      }

      &--dots {
        text-align: center;

        .dots-active {
          background: #fff;
        }

        span {
          @include transition(0.5s);
          cursor: pointer;
          display: inline-block;
          width: 1em;
          height: 1em;
          margin: 0.5em auto;
          margin-right: 1.5em;
          border: 2px solid #fff;
          border-radius: 50%;

          &:last-child {
            margin-right: 0;
          }
        }
      }
    }

    &-model {
      &:first-child {
        border-bottom: solid 2px #fff;
      }

      h1 {
        font-weight: 700;
        line-height: 1.2em;
        font-size: 3.5em;
        text-transform: uppercase;
      }

      &--panel {
        position: relative;

        img {
          width: 100%;
        }

        a {
          position: absolute;
          right: 1em;
          text-transform: uppercase;
          bottom: 1em;
          font-weight: 700;
          font-size: smaller;
          margin-top: 2em;
          margin-left: 2em;
          background: #f4c710;
          color: #685019;
          padding: 5px 18px;
        }
      }
    }
  }

  @media (max-width: 576px) {}

  // Medium devices (tablets, 768px and up)
  @media (max-width: 768px) {}

  // Large devices (desktops, 992px and up)
  @media (max-width: 992px) {
    flex-direction: column;
    padding-top: 70px;
    padding-bottom: 2rem;

    .sustain-sidebar {
      width: calc(100vw);
      padding-top: 20px;
      padding-bottom: 20px;

      &--text h1 {
        font-size: 2em;
      }
    }

    .sustain-content {
      width: 100%;
      padding-top: 13px;
      padding-left: 25px;
      padding-right: 25px;
      padding-bottom: 13px;

      h1 {
        font-size: 24pt;
        padding-bottom: 13px;
      }

      &-contain-carr--items {
        overflow: auto;

        .card-image img {
          height: 130px;
          object-fit: cover;
        }
      }
    }

    /*.sustain-sidebar--dist {
      // display: none;
    }*/

    .sustain-content-model {

      .btn-next-img {
        display: none;
      }

      &:first-child {
        border-bottom: none;
      }

      &:nth-child(2n) {
        text-align: center;
        //display: none;
      }
    }
  }

  // Extra large devices (large desktops, 1200px and up)
  @media (max-width: 1200px) {}
}